<%@page pageEncoding="ISO-8859-1" contentType="text/html; charset=ISO-8859-1"%>
<%@page import="w83b.w83bUtilidadesComunes.W83bClsConstantes"%>

<%@ taglib uri="/WEB-INF/tld/ejieFramework-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>

<%@ page import="es.ejie.frmk.listeners.base.Q70ListenerUtils" %>
<%@ page import="w83b.w83bUtilidadesComunes.W83bClsConstantes" %>
<%@ page import="w83b.w83bDAO.w83bConstantesBD.W83bIncidenciasVistaBD" %>

<%@ page import="es.ejie.frmk.infraestructura.internacionalizacion.Q70GestorMensajesi18n" %>
<%@page import="w83b.w83bUtilidadesComunes.W83bUtilidadesN38API"%>

<bean:define id="strIdioma" type="java.lang.String" name="contexto" property="<%=W83bClsConstantes.CONSTANTE_CONTEXTO_IDIOMA%>"/>
<bean:define id="permisoUsuario" type="w83b.w83bBeans.W83bUsuarioXLNetsBean" name="contexto" property="<%=W83bClsConstantes.CONSTANTE_CONTEXTO_USUARIO %>"></bean:define>

<%	
String versionjs= Q70ListenerUtils.getApplicationProperty("versionjs");
%>
<script type="text/javascript">
					
var provincia_Permiso = '<%=W83bUtilidadesN38API.elegirProvinciaDelegacion(permisoUsuario.getPerfilXLNets())%>';
var provincia_SS = '<%=W83bClsConstantes.CONSTANTE_SERVICIOS_CENTRALES%>';

var fechanoValida = '<html:message i18nKey="w83brecursosErrores" key="error.mensaje.fechanoValida"/>';
var txtInicio = '<html:message i18nKey="w83bcomun" key="comun.incidencias.del"/>';
var txtFin = '<html:message i18nKey="w83bcomun" key="comun.incidencias.al"/>';
var txtInicioFechaTramiteHasta = '<html:message i18nKey="w83bcomun" key="comun.incidencias.fechaTramiteHasta"/>';
var txtFinFechaTramiteDesde = '<html:message i18nKey="w83bcomun" key="comun.incidencias.fechaTramiteDesde"/>';

var fechaTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.fecha"/>';
var nActaTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.nActa"/>';
var tipSolicitanteTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.tipSolicitante"/>';
var solicitanteTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.solicitante"/>';
var tipologiaTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.tipologia"/>';

var muchosResultados = '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.muchosResultados"/>';

var fecha = '<%=W83bIncidenciasVistaBD.fentrada%>';
var nActa = '<%=W83bIncidenciasVistaBD.numacta%>';
var tipSolicitante = '';

if('<%=strIdioma%>'=='<%=W83bClsConstantes.CONSTANTE_CASTELLANO%>'){
	tipSolicitante = '<%=W83bIncidenciasVistaBD.tipsolicitante_es%>';
}else{
	tipSolicitante = '<%=W83bIncidenciasVistaBD.tipsolicitante_eu%>';
}
var solicitante = '<%=W83bIncidenciasVistaBD.nomsolicitante%>';
var tipologia = '';
if('<%=strIdioma%>'=='<%=W83bClsConstantes.CONSTANTE_CASTELLANO%>'){
	tipologia = '<%=W83bIncidenciasVistaBD.tipincidencia_es%>';
}else{
	tipologia = '<%=W83bIncidenciasVistaBD.tipincidencia_eu%>';
}

var btnEditarConsultar =  btnConsultar;

if('<%=W83bClsConstantes.CONSTANTE_PERMISO_ADMOM_DIR_TRAB_SS_SERVCENTRALES%>'=='<%=W83bUtilidadesN38API.elegirServiciosCentralosODelegacion(permisoUsuario.getPerfilXLNets())%>'){
	permisoServiciosCentrales = true;
	btnEditarConsultar =btnEditar;
}


<!--VALIDACIONES-->
var validacionProvinciaNumIncidenciaDesde = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.provinciaIntroducidaNoEsValida",strIdioma.toString(),new String[]{
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.numIncidencia",strIdioma.toString())+" "+
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.desde",strIdioma.toString())}) %>';
var validacionProvinciaNumIncidenciaHasta = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.provinciaIntroducidaNoEsValida",strIdioma.toString(),new String[]{
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.numIncidencia",strIdioma.toString())+" "+
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.hasta",strIdioma.toString())}) %>';
var validacionProvinciaNumActaDesde = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.provinciaIntroducidaNoEsValida",strIdioma.toString(),new String[]{
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.numActa",strIdioma.toString())+" "+
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.desde",strIdioma.toString())}) %>';
var validacionProvinciaNumActaHasta = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.provinciaIntroducidaNoEsValida",strIdioma.toString(),new String[]{
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.numActa",strIdioma.toString())+" "+
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.hasta",strIdioma.toString())}) %>';

var nIncidenciaDesde_ObligatorioAntes_Hasta = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.campo1MenosCampo2",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.numIncidencia",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.desde",strIdioma.toString()),
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.numIncidencia",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.hasta",strIdioma.toString())
						}) %>';												
var nActaDesde_ObligatorioAntes_Hasta = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.campo1MenosCampo2",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.numActa",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.desde",strIdioma.toString()),
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.numActa",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.hasta",strIdioma.toString())
						}) %>';
						
var fechaEntrada_fInicioValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaEntrada",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString())
						}) %>';
var fechaEntrada_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaEntrada",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.hasta",strIdioma.toString())
						}) %>';												
						
var fechaTramite_fInicioValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaTramiteDesde",strIdioma.toString())
						}) %>';
var fechaTramite_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaTramiteHasta",strIdioma.toString())
						}) %>';		
var fechaEntrada_fInicio_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.fechaInicialMenorFinal",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaEntrada",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.desde",strIdioma.toString())
						,
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaEntrada",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.hasta",strIdioma.toString())
						}) %>';										
var fechaTramite_fInicio_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.fechaInicialMenorFinal",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaTramiteDesde",strIdioma.toString())
						,
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaTramiteHasta",strIdioma.toString())
						}) %>';
var validacionUltTramite = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.ultTramiteObligatorioTramite",strIdioma.toString(),null) %>';										
<!--FIN VALIDACIONES-->
</script>